Package: org.codehaus.groovy.runtime

## [Java] Class ProcessGroovyMethods.ProcessRunner

- org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

- All Implemented Interfaces and Traits:
    Runnable

      protected static class ProcessGroovyMethods.ProcessRunner
      extends Object
      implements Runnable

  A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ProcessRunner(Process process)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `run()`
    `` | `public void` | `waitForOrKill(long millis)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ProcessRunner(Process process)

  - ### Method Detail

    - #### @Override
      public void run()

    - #### public void waitForOrKill(long millis)